Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.rop
Class EagerResultList

    java.lang.Object
      org.apache.openjpa.lib.rop.AbstractResultList
          org.apache.openjpa.lib.rop.ListResultList
              org.apache.openjpa.lib.rop.EagerResultList

All Implemented Interfaces:
  Serializable, Iterable, Collection, List, ResultList, Closeable

    public class EagerResultList

extends ListResultList
implements ResultList

Simple, non-lazy ResultList implementation

Author:
  Patrick Linskey
See Also:
  Serialized Form

Constructor Summary
`EagerResultList(ResultObjectProvider rop)`

Method Summary

Methods inherited from class org.apache.openjpa.lib.rop.ListResultList
`close, contains, containsAll, get, getDelegate, indexOf, isClosed, isEmpty, isProviderOpen, iterator, lastIndexOf, listIterator, listIterator, size, subList, toArray, toArray, toString, writeReplace`

Methods inherited from class org.apache.openjpa.lib.rop.AbstractResultList
`add, add, addAll, addAll, assertOpen, clear, getUserObject, remove, remove, removeAll, retainAll, set, setUserObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.lib.rop.ResultList
`close, getUserObject, isClosed, isProviderOpen, setUserObject`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Constructor Detail

### EagerResultList

    public EagerResultList(ResultObjectProvider rop)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.